<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head> 
<title>PHP-Test</title> 
<style type="text/css">
  body {
    color: black; background-color: white;
    font-size: 100.01%;
    font-family: Helvetica,Arial,sans-serif;
    margin: 0; padding: 1em;
  }

  ul#Navigation {
    font-size: 0.91em;
    float: left; width: 11em;
    margin: 0; padding: 0;
  }
  ul#Navigation li {
    list-style: none;
    margin: 0; padding: 0.5em;
  }
  ul#Navigation a {
    display: block;
    padding: 0.2em;
    font-weight: bold;
  }
  ul#Navigation a:link {
    color: black; background-color: #eee;
  }
  ul#Navigation a:visited {
    color: #666; background-color: #eee;
  }
  ul#Navigation a:hover {
    color: black; background-color: white;
  }
  ul#Navigation a:active {
    color: white; background-color: gray;
  }

  div#Inhalt {
    margin-left: 11em;
    padding: 0 1em;
    min-width: 16em; /* Mindestbreite (der Ueberschrift) verhindert Anzeigefehler in modernen Browsern */
  }
  div#Inhalt h1 {
    font-size: 1.5em;
    margin: 0 0 1em;
  }
  div#Inhalt h2 {
    font-size: 1.2em;
    margin: 0 0 1em;
  }
  div#Inhalt p {
    font-size: 1em;
    margin: 1em 0;
  }
</style>
</head>

<body>
<ul id="Navigation">
    <li><a href="navi.php?sort=Name"> Name</a></li>
    <li><a href="navi.php?sort=Punkte"> Punkte</a></li>
    <li><a href="navi.php?sort=Position"> Position</a></li>
</ul>

<div id="Inhalt">
<?php
$xml_arg = 'save_php.xml';
$xsl_arg = 'springer_php.xsl';
   
// Create instances of the DomDocument class
$xml = new DomDocument;
$xsl = new DomDocument;

// Load the xml document and the xsl template
$xml->loadXML( file_get_contents( $xml_arg ));
$xsl->loadXML( file_get_contents( $xsl_arg ));

$xsltproc= new XsltProcessor();

$xsltproc->setParameter('', 'sortkey', $_GET['sort']);
//echo $xsltproc->getParameter('', 'sortkey'),

// Load the xsl template
$xsltproc->importStyleSheet($xsl);

// Start the transformation
$processed = $xsltproc->transformToXML($xml);
print $processed;
?>
</div>

</body>
</html>
